;; This is an operating system configuration generated
;; by the graphical installer.
;;
;; Once installation is complete, you can learn and modify
;; this file to tweak the system configuration, and pass it
;; to the 'guix system reconfigure' command to effect your
;; changes.


;; Indicate which modules to import to access the variables
;; used in this configuration.

(define-module (kaladin)
  #:use-module (gnu)
  #:use-module (base)
  #:use-module (gnu services)
  #:use-module (gnu services shepherd)
  #:use-module (gnu services dbus)
  #:use-module (gnu system)
  #:use-module (gnu system setuid)
  #:use-module (gnu system nss)
  #:use-module (gnu system shadow)
  #:use-module (gnu packages android)
  #:use-module (rosenthal packages wm)
  #:use-module (nongnu packages linux)
  #:use-module (nongnu system linux-initrd))

(use-service-modules cups desktop networking ssh xorg avahi
                     admin base nix dbus pm audio virtualization sysctl)

(use-package-modules nfs certs shells ssh linux bash emacs gnome networking wm fonts glib libusb
                     cups freedesktop file-systems version-control package-management)

(operating-system
 (inherit base-operating-system)
 (host-name "kaladin")

 (packages (append (map specification->package
                        '("xf86-video-amdgpu"))
                   base-system-packages))

 (file-systems (cons* (file-system
                       (mount-point "/boot/efi")
                       (device (uuid "35A0-C1F1"
                                     'fat32))
                       (type "vfat"))
                      (file-system
                       (mount-point "/")
                       (device (uuid
                                "9b5a1a62-0de6-4e07-a541-634736980d10"
                                'btrfs))
                       (type "btrfs")) %base-file-systems)))
